This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 251633 - Kopete causes many CPU wakeups
Kopete causes many CPU wakeups
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: kde-settings (Show other bugs)
7
All Linux
low Severity low
: ---
: ---
Assigned To: Rex Dieter
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-08-10 03:06 EDT by Frank Schmitt
Modified: 2008-04-17 10:54 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-17 10:54:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Frank Schmitt 2007-08-10 03:06:05 EDT
Description of problem:

Kopete causes many CPU wakeups under powertop. Setting 
SmoothScrolling=false
to the [ContactList] section in
/usr/share/kubuntu-default-settings/kde-profile/default/share/config/kopeterc
fixes this

Version-Release number of selected component (if applicable):

kdenetwork-3.5.7-1.fc7.1

How reproducible:

always

Steps to Reproduce:
1. Start kopete
2. Start powertop
3. See a value along the lines of 
15.9% ( 56.6) kopete : schedule_timeout (process_timeout)
4. Set
SmoothScrolling=false
to the [ContactList] section in
/usr/share/kubuntu-default-settings/kde-profile/default/share/config/kopeterc
5. Start powertop again
6. See a value along the lines of 
0.4% ( 1.0) kopete : schedule_timeout (process_timeout)

Actual results:

Kopete causes many wakeups

Expected results:

Kopete should cause view wakeups

Additional info: See also Ubuntu bug report under https://bugs.launchpad.net/
ubuntu/+source/kubuntu-default-settings/+bug/127233
Comment 1 Rex Dieter 2007-08-14 10:18:59 EDT
the (default) config change looks reasonable.
Comment 2 Rex Dieter 2008-04-17 10:54:11 EDT
fixed in kde-3.5.8+

Note You need to log in before you can comment on or make changes to this bug.